## caribou 0.4.21

=== debian/changelog ===
caribou (0.4.21-9build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:26:17 +0000

caribou (0.4.21-9) unstable; urgency=medium

  * Drop unnecessary hard dependency on libgtk-3-0
  * Stop using debian/control.in and dh-sequence-gnome
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 24 Mar 2024 08:04:30 -0400

caribou (0.4.21-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13
  * Set debhelper-compat version in Build-Depends
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Add debian/upstream/metadata
  * Update standards version to 4.6.1, no changes needed.

  [ Jeremy Bicha ]
  * Build-Depend on dh-sequence-gnome & dh-sequence-python3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Dec 2022 08:11:59 -0500

caribou (0.4.21-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add stop-patching-generated-gir.patch:
    upstream patch to fix the build with newer vala versions (Closes: #997653)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 12 Dec 2021 18:15:32 +0100

caribou (0.4.21-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix segfault (regression of xorg CVE-2020-25712 fix) that
    cause security issue for cinnamon (Closes: #980061)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 15 Jan 2021 15:49:43 +0100

caribou (0.4.21-7) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 18:18:21 -0500

caribou (0.4.21-6) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1
  * Drop dh_strip migration rules since migration was complete in Stretch

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 25 Nov 2018 21:53:23 -0500

caribou (0.4.21-5) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Feb 2018 21:40:27 -0500

caribou (0.4.21-4) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 18:12:22 -0500

caribou (0.4.21-3) unstable; urgency=medium

  * Have caribou-antler depend on libcaribou-gtk-module and
    libcaribou-gtk3-module
  * Don't have libcaribou-gtk-module depend on GTK+ 2 to allow this
    module to be installed without forcing GTK+ 2 to be installed.
  * Bump debhelper compat to 10
  * Use debian/docs to install NEWS
  * Cherry-pick fix-font-property-in-style.css.patch:
    - Fix caribou-antler crash (LP: #1735298)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 01 Dec 2017 15:29:48 -0500

caribou (0.4.21-2) unstable; urgency=medium

  * Add autostart-set-nodisplay.patch:
    - Hide Caribou from Ubuntu's Startup Applications (LP: #1723266)
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 12 Oct 2017 18:42:47 -0400

caribou (0.4.21-1) unstable; urgency=medium

  * New upstream release.
  * Re-add gnome-get-source.mk include.
  * Drop patches, all merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Aug 2016 18:27:57 +0200

=== debian/control ===
Source: caribou
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               intltool (>= 0.35.0),
               python3 (>= 3.2),
               python-gi-dev (>= 2.90.3),
               valac,
               gobject-introspection (>= 0.10.7),
               gtk-doc-tools,
               libatspi2.0-dev,
               libgirepository1.0-dev (>= 0.10.7),
               libclutter-1.0-dev (>= 1.13.10),
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.27.5),
               libgtk2.0-dev,
               libgtk-3-dev (>= 3.0.0),
               libx11-dev,
               libxklavier-dev,
               libxml2-dev,
               libxtst-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/caribou
Vcs-Git: https://salsa.debian.org/gnome-team/caribou.git
Homepage: https://wiki.gnome.org/Projects/Caribou

Package: libcaribou0
Architecture: any
Depends: ${shlibs:Depends},
         libcaribou-common (= ${source:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Configurable on screen keyboard with scanning mode - library
 An input assistive technology intended for switch and pointer users.
 .
 This package contains the shared library.

Package: libcaribou-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Configurable on screen keyboard with scanning mode - common files
 An input assistive technology intended for switch and pointer users.
 .
 This package contains support files for libcaribou

Package: libcaribou-dev
Section: libdevel
Architecture: any
Depends: libcaribou0 (= ${binary:Version}),
         gir1.2-caribou-1.0 (= ${binary:Version}),
         libgee-0.8-dev,
         libglib2.0-dev (>= 2.27.5),
         libgtk-3-dev,
         libx11-dev,
         libxklavier-dev,
         libxml2-dev,
         libxtst-dev,
         ${misc:Depends}
Description: Configurable on screen keyboard - library (development)
 An input assistive technology intended for switch and pointer users.
 .
 This package contains the development files for libcaribou library.

Package: gir1.2-caribou-1.0
Section: introspection
Architecture: any
Depends: libcaribou0 (= ${binary:Version}),
         ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the Caribou library
 An input assistive technology intended for switch and pointer users.
 .
 This package contains introspection data for the libcaribou library. It
 can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: caribou
Section: gnome
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi,
         gir1.2-caribou-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-clutter-1.0,
         python3-dbus,
         python3-pyatspi
Description: Configurable on screen keyboard with scanning mode
 An input assistive technology intended for switch and pointer users.

Package: caribou-antler
Section: gnome
Architecture: all
Depends: ${python3:Depends},
         caribou (>= ${source:Version}),
         libcaribou-gtk-module (>= ${source:Version}),
         libcaribou-gtk3-module (>= ${source:Version}),
         python3-gi,
         gir1.2-caribou-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-clutter-1.0,
         python3-dbus,
         ${misc:Depends}
Description: Configurable on screen keyboard with scanning mode
 An input assistive technology intended for switch and pointer users.

Package: libcaribou-gtk-module
Architecture: any
Depends: ${shlibs:Depends},
         gsettings-desktop-schemas,
         ${misc:Depends}
Multi-Arch: same
Description: Configurable on screen keyboard with scanning mode (GTK+ 2.0 module)
 An input assistive technology intended for switch and pointer users.
 .
 This package contains the GTK+ 2.0 module library.

Package: libcaribou-gtk3-module
Architecture: any
Depends: ${shlibs:Depends},
         gsettings-desktop-schemas,
         ${misc:Depends}
Multi-Arch: same
Description: Configurable on screen keyboard with scanning mode (GTK+ 3.0 module)
 An input assistive technology intended for switch and pointer users.
 .
 This package contains the GTK+ 3.0 module library.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON=/usr/bin/python3

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/caribou

override_dh_autoreconf:
	dh_autoreconf --as-needed

execute_before_dh_install:
	cp -a modules/caribou-gtk-module.desktop \
	      debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk3-module.desktop
	find debian/tmp -name '*.a' -print -delete
	find debian/tmp -name '*.la' -print -delete
	find debian/tmp -name '__pycache__' -print | xargs -r rm -rf

override_dh_makeshlibs:
	dh_makeshlibs -plibcaribou0 -- -c4
	dh_makeshlibs -plibcaribou-gtk-module --no-act
	dh_makeshlibs -plibcaribou-gtk3-module --no-act
	dh_makeshlibs --remaining-packages

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibgtk2.0-0

## caribou 0.4.21%2Bmint1%2Bdebbie

=== debian/changelog ===
caribou (0.4.21+mint1+debbie) ulyssa; urgency=medium

  * Fix compilation error
  * Fix subkey popmenu not showing after being dismissed
  * [mtwebster] xadapter.vala: Remove XkbKeyTypesMask and fields from XKbChangeMap call.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Jan 2021 18:34:14 +0000

## caribou 0.4.21%2Bmint1%2Belsie

=== debian/changelog ===
caribou (0.4.21+mint1+elsie) ulyssa; urgency=medium

  * Fix compilation error
  * Fix subkey popmenu not showing after being dismissed
  * [mtwebster] xadapter.vala: Remove XkbKeyTypesMask and fields from XKbChangeMap call.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Jan 2021 18:34:14 +0000

## caribou 0.4.21+mint1+tricia

=== debian/changelog ===
caribou (0.4.21+mint1+tricia) ulyssa; urgency=medium

  * Fix compilation error
  * Fix subkey popmenu not showing after being dismissed
  * [mtwebster] xadapter.vala: Remove XkbKeyTypesMask and fields from XKbChangeMap call.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Jan 2021 18:34:14 +0000

## caribou 0.4.21+mint1+ulyssa

=== debian/changelog ===
caribou (0.4.21+mint1+ulyssa) ulyssa; urgency=medium

  * Fix compilation error
  * Fix subkey popmenu not showing after being dismissed
  * [mtwebster] xadapter.vala: Remove XkbKeyTypesMask and fields from XKbChangeMap call.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Jan 2021 18:34:14 +0000

## caribou 0.4.21+mint4+vanessa

=== debian/changelog ===
caribou (0.4.21+mint4+vanessa) vanessa; urgency=medium

  * Revert "xadapter.vala: Remove XkbKeyTypesMask and fields from XKbChangeMap call."

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 11:34:37 +0200

caribou (0.4.21+mint3) vanessa; urgency=medium

  [ Michael Webster ]
  * Fix incorrect US tablet layout (transposed z<>y).

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jun 2022 15:25:39 +0200

caribou (0.4.21+mint2) vanessa; urgency=medium

  * Bump version to be higher than in Mint 20.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Jun 2022 10:14:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: caribou
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
+Build-Depends: debhelper (>= 11),
+               dh-python,
+               gnome-pkg-tools,
                intltool (>= 0.35.0),
                python3 (>= 3.2),
                python-gi-dev (>= 2.90.3),
@@ -23,7 +27,7 @@
                libxklavier-dev,
                libxml2-dev,
                libxtst-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/caribou
 Vcs-Git: https://salsa.debian.org/gnome-team/caribou.git
 Homepage: https://wiki.gnome.org/Projects/Caribou
@@ -33,6 +37,7 @@
 Depends: ${shlibs:Depends},
          libcaribou-common (= ${source:Version}),
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Configurable on screen keyboard with scanning mode - library
  An input assistive technology intended for switch and pointer users.
@@ -127,6 +132,7 @@
 Package: libcaribou-gtk3-module
 Architecture: any
 Depends: ${shlibs:Depends},
+         libgtk-3-0 (>= 3.2.2-3),
          gsettings-desktop-schemas,
          ${misc:Depends}
 Multi-Arch: same

## caribou 1.0

=== DESCRIPTION ===
Package: caribou
Type: Package
Title: Estimation of caribou abundance based on large scale
        aggregations monitored by radio telemetry
Version: 1.0
Date: 2012-01-25
Author: Helene Crepeau <Helene.Crepeau@mat.ulaval.ca> and Louis-Paul
        Rivest <Louis-Paul.Rivest@mat.ulaval.ca> and Serge Couturier
        <tuttu@videotron.ca> and Sophie Baillargeon
        <Sophie.Baillargeon@mat.ulaval.ca>
Maintainer: Sophie Baillargeon <Sophie.Baillargeon@mat.ulaval.ca>
Description: This is a package for estimating the population size of
        migratory caribou herds based on large scale aggregations
        monitored by radio telemetry. It implements the methodology
        found in the article by Rivest et al. (1998) about caribou
        abundance estimation. It also includes a function based on the
        Lincoln-Petersen Index as applied to radio telemetry data by
        White and Garrott (1990).
License: GPL-2
Packaged: 2012-01-25 18:16:39 UTC; Sophie Baillargeon
Repository: CRAN
Date/Publication: 2012-01-25 19:56:46

## caribou 1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Estimation of caribou abundance based on large scale
         aggregations monitored by radio telemetry
-Version: 1.0
-Date: 2012-01-25
+Version: 1.1
+Date: 2012-06-11
 Author: Helene Crepeau <Helene.Crepeau@mat.ulaval.ca> and Louis-Paul
         Rivest <Louis-Paul.Rivest@mat.ulaval.ca> and Serge Couturier
         <tuttu@videotron.ca> and Sophie Baillargeon
@@ -17,6 +17,6 @@
         Lincoln-Petersen Index as applied to radio telemetry data by
         White and Garrott (1990).
 License: GPL-2
-Packaged: 2012-01-25 18:16:39 UTC; Sophie Baillargeon
+Packaged: 2012-06-11 14:36:21 UTC; Sophie Baillargeon
 Repository: CRAN
-Date/Publication: 2012-01-25 19:56:46
+Date/Publication: 2012-06-11 15:55:55

## caribou 1.1-1

=== DESCRIPTION ===
Package: caribou
Type: Package
Title: Estimation of Caribou Abundance Based on Radio Telemetry Data
Version: 1.1-1
Date: 2022-04-13
Authors@R: c(
    person("Louis-Paul", "Rivest", role = c("aut", "cre"), email = "Louis-Paul.Rivest@mat.ulaval.ca"),
    person("Helene", "Crepeau", role = "aut", email = "Helene.Crepeau@mat.ulaval.ca"),
    person("Serge", "Couturier", role = "ctb", email = "tuttu@videotron.ca"),
    person("Sophie", "Baillargeon", role = "aut", email = "Sophie.Baillargeon@mat.ulaval.ca")
    )
Description: Estimation of population size of migratory caribou herds based on large scale 
             aggregations monitored by radio telemetry. It implements the methodology found 
             in the article by Rivest et al. (1998) about caribou abundance estimation. It 
             also includes a function based on the Lincoln-Petersen Index as applied to 
             radio telemetry data by White and Garrott (1990).
License: GPL-2
LazyData: true
NeedsCompilation: no
Packaged: 2022-04-13 17:26:25 UTC; Sophie
Author: Louis-Paul Rivest [aut, cre],
  Helene Crepeau [aut],
  Serge Couturier [ctb],
  Sophie Baillargeon [aut]
Maintainer: Louis-Paul Rivest <Louis-Paul.Rivest@mat.ulaval.ca>
Repository: CRAN
Date/Publication: 2022-04-13 21:32:46 UTC

## caribou hi-4.1.0

=== requirements.txt ===
bayes_spec>=1.9.0
